Steam is required

Hello,

I am trying to sign on to Last Epoch and it keeps saying Steam is required. I clicked update account and signed me in. I close the game to restart and open it again and still saying Steam Required.

Are the servers down?

Cheers
Echo

same issue here

this is happening to me today too, Feb 14 2024 PST 4:34pm